Search found 2601 matches

Search found 2601 matches

Re: One single link won't switch to HTTPS

In catalog/controller/common/header.php, at line 73, replace:

Code: Select all

$data['home'] = $this->url->link('common/home');
with:

Code: Select all

$data['home'] = $this->url->link('common/home', '', true);

Jump to post
  • Tue Apr 04, 2017 9:04 am
  • Replies 8
  • Views 465
Re: Rotating Store Logos

The code would go at the end of catalog/view/theme/default/template/common/header.tpl.

If you're using a custom theme, then the code would go in catalog/view/theme/your_theme/template/common/header.tpl

Jump to post
  • Tue Feb 07, 2017 9:28 pm
  • Replies 4
  • Views 619
Re: Store Credit Error Version 2.3.0.2

I can confirm this. The problem is due to an invalid comparison in the model (comparing a float with an array).

To fix: Change line 9 of catalog/model/extension/total/credit.php from:

Code: Select all

$credit = min($balance, $total);
to:

Code: Select all

$credit = min($balance, $total['total']);

Jump to post
  • Mon Oct 31, 2016 11:06 am
  • Replies 6
  • Views 1409
Re: Problem after update from 1.5.x to 2.3.0.2

Please check the bug reports section first before posting any queries of this nature. The answer to your question can be found at the very top of the list ( viewtopic.php?f=191&t=166012 ). In future, please use the search function before posting. No offence intended, but it is getting rather tedious...

Jump to post
  • Fri Oct 21, 2016 6:07 pm
  • Replies 1
  • Views 218
Re: Warning: ZIP extension needs to be loaded...

The validation code is in install/controller/install/step_2.php , lines 146 to 148: if (!extension_loaded('zip')) { $this->error['warning'] = $this->language->get('error_zip'); } Just comment these lines, like so: //if (!extension_loaded('zip')) { // $this->error['warning'] = $this->language->get('e...

Jump to post
  • Thu Oct 20, 2016 8:02 pm
  • Replies 8
  • Views 1194
Re: Warning: ZIP extension needs to be loaded...

Just had a thought. The installation process could be modified so that it doesn't check for the zip extension on the server. This would then allow the installation to proceed.

Which version of OpenCart are you using?

Jump to post
  • Thu Oct 20, 2016 6:56 pm
  • Replies 8
  • Views 1194
Re: Warning: ZIP extension needs to be loaded...

Then, I suggest you change hosts. As stated, this is not an OpenCart issue, but a hosting issue.

I know this isn't much help, but anybody else will tell you the same thing.

Jump to post
  • Thu Oct 20, 2016 6:29 pm
  • Replies 8
  • Views 1194
Re: Invalid file type! error

I would like to install extensions, but whenever I try to upload one it tells me wrong file type. this is the way I do it: 1) download an extension from opencast.com 2) compress the file into zip 3) go to extension installer thru my admin login, and upload the compressed zip file am I doing it wron...

Jump to post
  • Thu Oct 20, 2016 6:23 pm
  • Replies 1
  • Views 686
Re: Warning: ZIP extension needs to be loaded...

This is not an OpenCart issue, this is a server issue. Contact your host and get them to provide zip support in the server.

Jump to post
  • Thu Oct 20, 2016 6:14 pm
  • Replies 8
  • Views 1194
Re: Product sorting question

Hello, I have the following problem: I have a lot of product with same names and different numbers: Product name 1. Product name 2. Product name ……. Product name 10. Product name …… Product name 100 etc. When I set sorting in alphabetical order, the sorting will be wrong: (A-Z sorting): Product 1.,...

Jump to post
  • Thu Oct 20, 2016 5:33 pm
  • Replies 2
  • Views 274
Re: Convert Numeric to Words Script

Interesting concept! The script that web-project pointed out could be converted into a "tool" that can be used in OpenCart (done). However, there are limitations on how it could be used. It couldn't be used to convert a "price", as this has already been formatted with currency symbol, decimal point ...

Jump to post
  • Wed Oct 19, 2016 4:54 pm
  • Replies 5
  • Views 518
Re: opencart syntaxError in /catalog/model/account/customer.

Do you have any customer groups defined in your admin?

Jump to post
  • Wed Oct 19, 2016 9:53 am
  • Replies 1
  • Views 441
Re: need help urgent opencart installation

You'll more than likely find that your installation is under "www.champgift.com/upload", with the installer at "www.champgift.com/upload/install" (which is not what you want). You should unzip the package locally and then upload the contents of the "upload" folder from the unpacked archive to your s...

Jump to post
  • Wed Oct 19, 2016 9:25 am
  • Replies 2
  • Views 292
Re: New extension Add to Cart Button Redirect, no products

It would appear from the error message: "Notice: Undefined variable: product_redirect_button in /var/www/html/vqmod/vqcache/vq2-catalog_controller_extension_module_featured.php on line 73" The extension is not compatible with OpenCart 2.3.0.2. The extension system in OpenCart 2.3.0.x was overhauled ...

Jump to post
  • Wed Oct 19, 2016 9:13 am
  • Replies 1
  • Views 174
Re: Edit frontpage / home

Try uploading through FTP rather than using the extension installer.

Jump to post
  • Wed Oct 19, 2016 8:58 am
  • Replies 5
  • Views 233
Re: Layout changes not saved.

First, go to your layouts in the admin and edit the "Default" layout. Remove any modules from this layout. Second, when adding modules to the layout, you need to click the blue "Add Module" button (the one with the "plus" sign on it). After doing this, you will get a blue "pencil" button and a red "...

Jump to post
  • Wed Oct 19, 2016 8:56 am
  • Replies 3
  • Views 344
Re: Got Problem when upgrade from 1.5.x to 2.3.0.2

In your store's config.php and admin/config.php files, change:

Code: Select all

define('DB_DRIVER', 'mysql');
to:

Code: Select all

define('DB_DRIVER', 'mysqli');
You will also need to add:

Code: Select all

define('DB_PORT', '3306');
to these files.

Jump to post
  • Tue Oct 18, 2016 10:11 pm
  • Replies 5
  • Views 483
Re: 2.3.0.2 Payumoney integration is not working

The PayUMoney extension is not compatible with OpenCart 2.3 and is not actually code-compliant with any OC 2 release. See viewtopic.php?f=191&t=159306 for more information. As a "sidenote", I have been doing some work on rebuilding this extension to work with OC 2.3. If you would like to test it, yo...

Jump to post
  • Tue Oct 18, 2016 10:44 am
  • Replies 3
  • Views 1383

Search found 2601 matches